Core - Task # 56359

Epic # 55070 (Accepted): Workpackages
Epic # 55066 (New): WP: Security enhancements
Story # 55509 (Resolved): Add CSRF Protection to mod.php

Status: Resolved Priority: Should have
Author: Helmut Hummel Category:

Created: 2014-02-26 Assigned To:

Updated: 2014-03-07 Due date:

TYPO3 Version: 6.2

PHP Version:

Complexity:

Sprint Focus:

Subject: Fix module access regressions

Description

During the addition of the token check for mod.php
some places have been missed where a correct
token needs to be added.

Related issues:

related to Core - Bug # 59963: Invalid moduleToken in returnUrl of the shortc... Resolved 2014-06-28
related to Core - Bug # 56375: Fix link for workspace preview Resolved 2014-02-27
duplicated by Core - Bug # 56358: Add moduleToken in getFuncinput and getFunc... Closed 2014-02-26

Associated revisions

Revision 8cbb774c - 2014-02-27 00:00 - Helmut Hummel

[BUGFIX] Fix module access regressions

During the addition of the token check for mod.php
some places have been missed where a correct

token needs to be added.

Resolves: #56359

Releases: 6.2

Change-Id: 1435cb36641fe96ecf050c915d200f94cbb31cedf
Reviewed-on: https://review.typo3.org/27883

Reviewed-by: Markus Klein
Tested-by: Markus Klein

History

#1 - 2014-02-26 21:37 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.0rg/27883

#2 - 2014-02-26 22:14 - Gerrit Code Review
Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.0rg/27883

#3 - 2014-02-27 00:14 - Markus Klein
- Status changed from Under Review to Resolved

resolved with commit 8cbb774ce1518b88e4e23646d9ac49f96ab1bd85

somehow the ticket didn't update.

#4 - 2014-03-07 01:26 - Helmut Hummel
- % Done changed from 0 to 100
